package hirondelle.web4jtools.codegenerator.codes;

/** Style of user interface corresponding to an <tt>ActionTemplateXXX</tt>.  */
public enum UiStyle {
  
  ListAndEdit ("List and Edit"),
  ShowAndApply ("Show and Apply");
  
  /** Render for display to the end user.  */
  public String getForDisplay(){
    return fName;
  }
  
  // PRIVATE //
  private UiStyle(String aName) {
    fName = aName;
  }
  private final String fName;
}
