<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="cr" %>  <%-- NOTE the unusual prefixes, so there's no interference between 'real' items versus generated ones. --%> <%@ taglib prefix="wr" uri="/web4j" %><%@ taglib prefix="tagsr" tagdir="/WEB-INF/tags" %>
<wr:saveToFile named='view.jsp'>
<cr:out value='<%@ include file="/JspHeader.jsp" %>' escapeXml='false' />
<cr:out value='<%-- List-and-edit JSP for ' escapeXml='false' />${feature.name}<cr:out value=' --%>' escapeXml='false' />

<cr:out value='<%-- Form. --%>' escapeXml='false' />
<c:url value="${wr:asType(feature.name)}Action.do?Operation=Apply" var="baseURL"/> 
 <w:populate using="itemForEdit"> 
  <form action='\${baseURL}' method="post" class="user-input" name='giveMeFocus'> 
   <input name="Id" type="hidden">
   <table align="center">
    <cr:forEach var='field' items='${fields}'><cr:if test='${not field.isPrimaryKey}'> <tr>
       <td><label>${field.name}</label><cr:if test='${field.isRequired}'> *</cr:if></td>
       <td>${wr:asControl(field)}</td>
      </tr>
     </cr:if></cr:forEach>
 </w:populate>
    <tr>
     <td align="center" colspan=2>
      <input type=submit value="add.edit.button">
     </td>
    </tr>
   </table>
  </form>

<cr:if test='${feature.showOperation == "List"}'>
<P>
<cr:out value='<%-- Listing. --%>' escapeXml='false' />
<table class="report" title="${feature.name} Listing" align="center"> 
 <tr>
  <th title="Line Number">#</th><cr:forEach var='item' items='${fields}'><cr:if test='${not item.isPrimaryKey}'>
  <th>${item.name}</th></cr:if></cr:forEach>
 </tr>
<w:alternatingRow> 
<c:forEach var="item" items="<cr:out value='\${itemsForListing}'/>" varStatus="index">
 <tr class="row_highlight">
  <td title="Line Number">\${index.count}</td><cr:forEach var='field' items='${fields}'><cr:if test='${not field.isPrimaryKey}'>
  <td>\${item.${wr:asELIdentifier(field.name)}}</td></cr:if></cr:forEach>
 </tr>
</c:forEach>
</w:alternatingRow>
</table>
</cr:if>
</wr:saveToFile>
