<%-- Summary of Source Code --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
   The Base Directory for a web application is typically the root of your project's source directory.
 You need to enter this data before navigating to other pages.
 
 The scan performed by this tool is purely textual, and performs basic line counts and so on. 
 It does not use reflection to examine your classes, since it is not possible for one web application
 to load classes belonging to another.
 
 See web.xml for various settings related to this tool.
</w:txt>
</div>
</w:help>

<c:url value="BaseInfoAction.do?Operation=Apply" var="baseURL"/> 
<form action='${baseURL}' method="post" class="user-input" name='giveMeFocus'>
<w:populate using='itemForEdit'>
 <table align="center">
  <tr>
   <td><label>Project Name</label></td>
   <td><input type='text' name='ProjectName'  maxlength='100' size='50' ></td>
  </tr>
  <tr>
   <td><label>Base Directory</label></td>
   <td><input type='text' name='BaseDirectory'  maxlength='100' size='50' ></td>
  </tr>
  <tr>
   <td><label>Base URI For Fetching Images</label></td>
   <td><input type='text' name='BaseURIForFetchingImages'  title='Optional. Used for creating thumbnails.' maxlength='100' size='50' ></td>
  </tr>
  <tr>
   <td align="center" colspan=2><input type="submit" value="Scan Source Code"></td>
  </tr>
 </table>
 </w:populate>
</form>

<P>
<table class="report" align="center"> 
 <tr><th>File Type</th><th>Num Files</th><th>Extensions</th></tr>
 <tr><td>Java Source</td><td align='right'><fmt:formatNumber value='${numJavaFiles}' pattern='#,##0' /></td><td>'.java'</td></tr>
 <tr><td>Image Files</td><td align='right'><fmt:formatNumber value='${numImageFiles}' pattern='#,##0' /></td><td>${imageFileExtensions}</td></tr>
 <tr><td>Markup Files</td><td align='right'><fmt:formatNumber value='${numMarkupFiles}' pattern='#,##0' /></td><td>${markupFileExtensions}</td></tr>
 <tr><td>All Source Files</td><td align='right'><fmt:formatNumber value='${numSourceFiles}' pattern='#,##0' /></td><td>${sourceFileExtensions}</td></tr>
 <tr><td>All Non-Ignored</td><td align='right'><fmt:formatNumber value='${numFiles}' pattern='#,##0' /></td><td><em>ignore</em> files containing : ${ignorableFiles}</td></tr>
 <tr><th colspan='3' align='center'>Total Size All Non-Ignored Files: <fmt:formatNumber value='${totalSize/(1024)}' pattern='#,##0'/> KB</th></tr>
</table>
