package hirondelle.web4j.config;

import hirondelle.web4j.ApplicationInfo;
import hirondelle.web4j.model.DateTime;
import hirondelle.web4j.util.Consts;

/**
* Implementation of {@link ApplicationInfo}, required by WEB4J.
*/
public final class AppInfo implements ApplicationInfo {
  
  public String getVersion(){    
    return "4.10.0.0";  
  }
  
  public DateTime getBuildDate(){
    return new DateTime("2013-10-19 12:26:18");
  }
  
  public String getName(){
    return "WEB4J Tools";
  }
  
  public String getAuthor(){
    return "Hirondelle Systems";
  }
  
  public String getLink(){
    return "http://www.web4j.com/";
  }
  
  public String getMessage(){
    return "Tools for developing apps with web4j.";
  }

  /**
  * Return {@link #getName()} + {@link #getVersion()}. 
  */
  @Override public String toString(){
    return getName() + Consts.SPACE + getVersion();
  }
}
