<%-- Simple View of Log File --%>
<%@ include file="/JspHeader.jsp" %>
<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 View log content in raw, unparsed form.
 
 This screen will work even when no parser for the log file exists.
</w:txt>
</div>
</w:help>

<c:url var='baseURI' value=''/>

<form action='${baseURI}' method='GET' class="user-input" name='giveMeFocus'>
<w:populate>
 <table align='center'>
  <tr>
   <td><label>Log For</label></td>
   <td><input type='radio' name='LogFor' value='Application' checked>Application <input type='radio' name='LogFor' value='Server'>Tomcat</td>
  </tr>
  <tr>
   <td><label>Show</label></td>
   <td><input type='radio' name='Section' value='First'> First <input type='radio' name='Section' value='Last'> Last <input type='text' name='NumLines' size='4'> Lines</td>
  </tr>
  <tr>
   <td><label>Refresh Every</label></td>
   <td><input type='text' name='RefreshRate'  size='4'> seconds</td>
  </tr>
</w:populate>
  <tr>
    <td>&nbsp;</td>
    <td>
     <input type='submit' value="View Log">
     <input type='reset' >
     <input type="hidden" name="Operation" value="Search">
    </td>
   </tr>
  </table>
</form>

<%-- Display the log file content as plain text. --%>
<P>
<c:if test="${not empty itemsForListing}">
  File : <b>${mostRecentLog.absolutePath}</b> 
  [<em><fmt:formatDate value='${mostRecentLogDate}'  pattern='yyyy-MM-dd HH:mm:ss'/> -  
  <fmt:formatNumber value='${mostRecentLogSize}' pattern='#,##0'/> bytes</em>]<br>
  <hr>
 <PRE>${itemsForListing}</PRE>
</c:if>