<%-- Comments --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Java classes with a low number of comments are often more difficult to maintain.
 The threshold for inclusion in this listing is configured in web.xml.
</w:txt>
</div>
</w:help>

<P>
<table class="report" align="center"> 
 <tr><td><b><fmt:formatNumber value='${numCommentLines/numLines}' type='percent' /></b> of your java code is  javadoc and comments.</td></tr>
</table>

<P>
<table class="report" align="center"> 
 <tr><th colspan='4'>Out of ${numJavaFiles} java source files, the following ${fn:length(filesWithLowComments)} files have comment frequency below ${commentsThreshold}% of source.</th></tr>
 <tr><th>% Comments</th><th>Num Lines</th><th>File</th><th>Link</th></tr>
 <c:forEach var='item' items='${filesWithLowComments}'>
 <tr>
  <td align='right'><fmt:formatNumber value='${item.numCommentLines/item.numLines}' type='percent' /></td>
  <td align='right'>${item.numLines}</td>
  <td style='font-size:70%;'>${item.name}</td>
  <td><c:url var='fileURI' value='${w:fileURL(item.name.rawString)}'/><a href='${fileURI}' title='Paste URI directly into address bar. Browser may not follow file:// URIs.'>link</a></td>
  </tr>
 </c:forEach>
</table>
