<%-- Hisotgram --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Useful breakdown of the sizes of your .java source files.
 You can easily alter the bucket sizes by editing the code for this Action.
 
 Large files are usually to be avoided.
</w:txt>
</div>
</w:help>

<P>
<table class="report" align="center"> 
 <tr><th colspan='3' align='center'>Sizes of all .java files</th></tr>
 <tr>
   <th>Size in Lines</th>
   <th>Graph</th>
   <th>Num Files</th>
 <c:forEach var='item' items='${buckets}'>
 <tr>
  <td align='right'>${item.min}..${item.max}</td>
  <td align='left'><img src="../../images/green.gif" height="10" width="${5*item.count}" alt='Graph'></td>
  <td align='right'><fmt:formatNumber value='${item.count}' pattern='#,##0'/></td>
  </tr>
 </c:forEach>
</table>
