<%-- Lines --%>
<%@ include file="/JspHeader.jsp" %>

<w:help>
<div class="help">
<w:txt wikiMarkup="true" translate="false">
 Sortable listing of number of lines for each file extension.  Shows only those items 
 whose extension identifies them as source code (see web.xml).
</w:txt>
</div>
</w:help>

<table class="report" align="center"> 
 <tr>
  <th>Extension <tags:sortLinks column="Extension" baseURI=""/></th>
  <th>Avg Lines <tags:sortLinks column="AvgLines" baseURI=""/></th>
  <th>Num Files <tags:sortLinks column="NumFiles" baseURI=""/></th>
  <th>Total Lines <tags:sortLinks column="TotalLines" baseURI=""/></th>
</tr>
<c:forEach var='item' items='${stats}'>
<tr>
 <td align='right'>${item.extension}</td>
 <td align='right'><fmt:formatNumber value='${item.averageLinesPerFile}' pattern='#,#00'/></td>
 <td align='right'><fmt:formatNumber value='${item.numFiles}' pattern='#,#00'/></td>
 <td align='right'><fmt:formatNumber value='${item.numLines}' pattern='#,#00'/></td>
</tr>
</c:forEach>
<tr>
 <td>&nbsp;</td>
 <td>&nbsp;</td>
 <td align='right'><b>${totalFiles}</b></td>
 <td align='right'><b><fmt:formatNumber value='${totalLines}' pattern='#,#00'/></b></td>
</tr>
</table>

<P>
<table class="report" align="center"> 
 <tr>
  <th>Extension</th>
  <th>% Lines</th>
  <th>&nbsp;</th>
  <th>% Files</th>
  <th>&nbsp;</th>
</tr>
<c:forEach var='item' items='${stats}'>
<tr>
 <td align='right'>${item.extension}</td>
 <td align='right'><fmt:formatNumber value='${item.numLines / totalLines}' type='percent'/></td>
 <td align='left'><img src="../../images/green.gif" height="10" width="${200*item.numLines / totalLines}" alt='Graph'></td>
 <td align='right'><fmt:formatNumber value='${item.numFiles / totalFiles}' type='percent'/></td>
 <td align='left'><img src="../../images/green.gif" height="10" width="${200*item.numFiles  / totalFiles}" alt='Graph'></td>
</tr>
</c:forEach>
</table>
