<%@ page contentType="text/html" %> <%-- must appear first! --%>
<%@ include file="/JspHeader.jsp" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd"> 
<html>
<head>
 <tags:head/>
</head>
 
<body onload='showFocus()'>

<div align="center" class='main-title'>
 <img src='../../images/web4j2.gif' alt='WEB4J Tools' align='middle'> &nbsp; Developer Tools &nbsp;
 <img src='../../images/web4j2.gif' alt='WEB4J Tools' align='middle'>
</div>
<P>

<hr width='60%'>

<div class="menu-bar">
 <w:highlightCurrentPage styleClass='highlight'> 
  <tags:commonMenuItems/>
  <c:url value="/metrics/base/BaseInfoAction.do?Operation=Show" var="baseInfoURL"/> <A href='${baseInfoURL}' title='Read in source code and display summary metrics'>Summary</a>
  <c:url value="/metrics/lines/LinesAction.do" var="linesURL"/> <A href='${linesURL}' title='Number of lines for each type of source file'>Lines</a>
  <c:url value="/metrics/histogram/HistogramAction.do" var="histogramURL"/> <a href='${histogramURL}' title='Breakdown of .java file sizes'>Histogram</a>
  <c:url value="/metrics/files/FilesAction.do" var="filesURL"/> <a href='${filesURL}' title='Sortable file listing'>Files</a>
  <c:url value="/metrics/comments/CommentsAction.do" var="commentsURL"/> <a href='${commentsURL}' title='Classes low in comments'>Comments</a>
  <c:url value="/metrics/tests/TestsAction.do" var="testURL"/> <a href='${testURL}' title='Percentage of classes that are test classes.'>Tests</a>
  <c:url value="/metrics/jars/JarsAction.do" var="jarsURL"/> <a href='${jarsURL}' title='Jar file names and versions.'>Jars</a>
  <c:url value="/metrics/tabs/TabsListAction.do" var="tabsURL"/> <a href='${tabsURL}' title='Remove tab characters from source'>Tabs</a>
  <c:url value="/metrics/images/ImageReferencesAction.do" var="imagesURL"/> <a href='${imagesURL}' title='List references to images, find cruft'>Images</a>
 </w:highlightCurrentPage> 
</div>

<p class="display-messages">
 <b>Source Code Statistics</b>
 <c:if test='${not empty baseInfo}'><b>- Project : ${baseInfo.projectName}</b></c:if>
</p>

<%-- Display error and information messages. --%>
<tags:displayMessages/>

<div class="body">
 <c:if test="${not empty param.TBody}">
 <jsp:include page='${param.TBody}' flush="true"/>
 </c:if>
 <c:if test="${empty param.TBody}">
  <jsp:include page="Error.jsp" flush="true"/>
 </c:if>
</div>

<div class='spacer'></div>
<tags:footer/>

</body>
</html>
